Story # 3450 (Closed): prepare release of d1_client_r

prepare package for CRAN submission

2013-02-22 17:47 - Matthew Jones

Status: Closed Start date: 2013-02-22

Priority: Urgent Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: DataONE R Client 1.0.0   

Milestone: CCI-1.1 Story Points:  

Description

I submitted to CRAN, and got back a report of issues that need to be addressed for the dataone package.  Some of these are known

and simple to deal with, others require some refactoring.  They are mainly asking for:

1) Change how license is documented.

2) Fix documentation errors and notes

3) factor out jar files into a separate package

Details from the email are included below:

Matt Jones writes:

 

 

I have uploaded a 1.0.0 version of the 'dataone' package to the CRAN

incoming directory.  Thanks for the great service.

ftp://cran.r-project.org/incoming/dataone_1.0.0.tar.gz

 

Thank you for your submission.

Can you confirm that you have read and agree to the CRAN repository

policy at http://CRAN.R-project.org/web/packages/policies.html ?

You have

Non-FOSS package license (file LICENSE)

but from what I can see file LICENSE really contains a copyright notice

and then a copy of the Apache License 2.0, so that the package in fact

is FOSS.  To be recognizable as such, could you pls

MOve the copyright notice to file COPYRIGHTS

Change DESCRIPTION to use

License: Apache License 2.0

Also, you have

checking Rd files ... NOTE prepare_Rd: AbstractTableDescriber-class.Rd:87-89: Dropping empty section \note prepare_Rd:

AbstractTableDescriber-class.Rd:84-86: Dropping empty section \author prepare_Rd: AbstractTableDescriber-class.Rd:81-83:
Dropping empty section \references prepare_Rd: AbstractTableDescriber-class.Rd:93-96: Dropping empty section \seealso

prepare_Rd: CertificateManager-class.Rd:97-99: Dropping empty section \note prepare_Rd:

CertificateManager-class.Rd:94-96: Dropping empty section \author prepare_Rd: CertificateManager-class.Rd:91-93: Dropping

empty section \references prepare_Rd: CertificateManager-class.Rd:103-106: Dropping empty section \seealso prepare_Rd:

D1Client-class.Rd:151-153: Dropping empty section \author prepare_Rd: D1Client-class.Rd:172-175: Dropping empty section

\seealso prepare_Rd: D1Object-class.Rd:91-93: Dropping empty section \references prepare_Rd: D1Object-class.Rd:105-108:

Dropping empty section \seealso prepare_Rd: dataone-package.Rd:276-278: Dropping empty section \references prepare_Rd:

dataone-package.Rd:282-285: Dropping empty section \seealso prepare_Rd: DataPackage-class.Rd:103-105: Dropping empty

section \author prepare_Rd: DataPackage-class.Rd:100-102: Dropping empty section \references prepare_Rd:

DataPackage-class.Rd:118-121: Dropping empty section \seealso prepare_Rd: EMLParser-class.Rd:60-62: Dropping empty

section \note prepare_Rd: EMLParser-class.Rd:57-59: Dropping empty section \author prepare_Rd: EMLParser-class.Rd:54-56:

Dropping empty section \references prepare_Rd: tableDescriber.registry.Rd:23-25: Dropping empty section \details prepare_Rd:

tableDescriber.registry.Rd:26-28: Dropping empty section \source prepare_Rd: tableDescriber.registry.Rd:29-31: Dropping

empty section \references

Can you pls fix?

Finally, the package is quite large (close to 14MB), with most of the

size coming from the jars.  Assuming that these change less frequently

than R code and docs, can you pls move the jars into a separate package

(so that an update improving R code and docs does not consume another

14MB of CRAN archive disk space)?

History

#1 - 2013-02-22 18:04 - Matthew Jones

Fixed the documentation errors and notes and checked in r11256.

#2 - 2013-02-22 18:22 - Matthew Jones

Fixed the COPYRIGHT and LICENSE issues as specified by CRAN.

#3 - 2013-02-22 18:44 - Matthew Jones

- Target version changed from 2013.4-Block.1.2 to DataONE R Client 1.0.0

#4 - 2013-02-25 04:08 - Chris Jones

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

I've created a new R package called dataonelibs, and moved the dataone/inst/java directory into it. I think it has all of the components needed to be a

complete package by CRAN standards.  R CMD CHECK dataonelibs shows only one NOTE that the size is 14ish MB - no warnings.  The dataone

package now depends on this package.  I've run install.sh and all tests are passing.  Matt - please take a look, but I think you're good to go with

another CRAN submission.  Let me know if there are any issues.

#5 - 2013-02-25 04:14 - Chris Jones

- Status changed from Closed to In Progress

- Estimated time set to 0.00

Changing back to in progress - I forgot we need to add in the new common and libclient jars.  I'll do that next.

#6 - 2013-02-25 04:33 - Chris Jones

- Status changed from In Progress to Closed

New common and libclient libraries are committed.

#7 - 2013-02-25 05:28 - Matthew Jones
I updated the documentation to reflect the existence of the new package, and uploaded these to the releases.dataone.org site, along with the new

documentation.  I emailed CRAN that I have resubmitted the packages, and am now awaiting a response.  Will open a new ticket if that generates any

new tasks.
